Subject: [manet] Some LLNs are NOT MANETs

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2012 09:21:54 +0200

Hi Henning,

I am about to say many LLNs are NOT MANETs but it seems like the
market or community will decide the outcome, but surly that some LLNs
are NOT MANETs.

> Could you state an example what would be considered a LLN but not a
> MANET. I normally consider LLNs a subset of what we call MANETs.

I not totally agree with that, because we need to be considering both
NETs use case and applicability in the vision of the different WGs
(MANET and ROLL). There are many examples we can find them in the
[RFC2501] for MANETs characteristics and applicability, and for LLNs
characteristics in [RFC5548], [RFC5673], [RFCRFC5826], and [RFC5867]
including LLNs requirements. That is why I suggested before that
OLSRv2 and AODVv2 should mention their applicability to LLN if they
do. They just refer to RFC2501, but RFC2501 is OLD and does not
mention LLN but describes the meaning. The authors of RFC2501 still
not responded to my update suggestions.

I understood from one discussion in MANET WG that few don't have time
to read many pages of documents, so that is why I suggested to have
terminology I-D [1] as we have ROLL terminology [ROLL] . I also taken
initiative to make new draft of  MANET subnet technologies which
include only related LLNs [AB2].

Therefore, I will add the definition for MANET and LLN into my
manet-terminology draft [AB1] (propose that authors of [ROLL] define
LLN more details) to assist discussions as it is proved now in the
list that there still is problems in definitions in MANET WG or in
some I-D editorial content.

[AB1] http://www.ietf.org/id/draft-baryun-manet-terminology-00.txt
[AB2] http://www.ietf.org/id/draft-baryun-manet-technology-00.txt
[ROLL] http://tools.ietf.org/id/draft-ietf-roll-terminology-06.txt

Best Wishes

Abdussalam Baryun
University of Glamorgan, UK

====================================================
On 7/31/12, Henning Rogge <[email-masked]> wrote:
> On Tue, Jul 31, 2012 at 6:45 AM, Abdussalam Baryun
> subject: Re: [manet] Discussing LOADng suggestions
> <[email-masked]> wrote:
>> IMHO this protocol was intended as for ROLL WG not for MANET WG, but
>> then changed its direction to MANET [3]. However, please note that
>> *ONLY* some LLNs are MANETs, and *ONLY* some MANETs are LLNs. That
>> said, LOADng SHOULD specfy where is its limits. Then we can discuss
>> adoption.
>
> Could you state an example what would be considered a LLN but not a
> MANET. I normally consider LLNs a subset of what we call MANETs.
>
> Henning Rogge
>
> --
> Steven Hawkings about cosmic inflation: "An increase of billions of
> billions of percent in a tiny fraction of a second. Of course, that
> was before the present government."
>

---

From: C Chauvenet <[email-masked]>
Date: Wed, 1 Aug 2012 09:14:25 +0000

Hi, 

This is an interesting discussion.

My understanding is that both MANET and ROLL considers lossy/dynamic links in the way described in the MANET charter :  "static and dynamic topologies with increased dynamics due to node motion or other factors." I also agree that dynamicity of links is not hard wired to node mobility.

So, in the LLN Vs MANET debate, I think they share the "N" for Networks, and the 2nd "L" for Lossy.
So the remaining point is the first L, meaning Low Power.

Low Power requirements is explicit in the ROLL charter and not mentioned at all in the MANET charter.
Is the power efficiency consideration the big difference between ROLL and MANET ?

Cédric.

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de Abdussalam Baryun
Envoyé : mercredi 1 août 2012 09:22
À : Henning Rogge
Cc : roll; manet
Objet : [Roll] Some LLNs are NOT MANETs

Hi Henning,

I am about to say many LLNs are NOT MANETs but it seems like the market or community will decide the outcome, but surly that some LLNs are NOT MANETs.

> MANET. I normally consider LLNs a subset of what we call MANETs.

I not totally agree with that, because we need to be considering both NETs use case and applicability in the vision of the different WGs (MANET and ROLL). There are many examples we can find them in the [RFC2501] for MANETs characteristics and applicability, and for LLNs characteristics in [RFC5548], [RFC5673], [RFCRFC5826], and [RFC5867] including LLNs requirements. That is why I suggested before that
OLSRv2 and AODVv2 should mention their applicability to LLN if they do. They just refer to RFC2501, but RFC2501 is OLD and does not mention LLN but describes the meaning. The authors of RFC2501 still not responded to my update suggestions.

I understood from one discussion in MANET WG that few don't have time to read many pages of documents, so that is why I suggested to have terminology I-D [1] as we have ROLL terminology [ROLL] . I also taken initiative to make new draft of  MANET subnet technologies which include only related LLNs [AB2].

Therefore, I will add the definition for MANET and LLN into my manet-terminology draft [AB1] (propose that authors of [ROLL] define LLN more details) to assist discussions as it is proved now in the list that there still is problems in definitions in MANET WG or in some I-D editorial content.

Best Wishes

Abdussalam Baryun

> MANET. I normally consider LLNs a subset of what we call MANETs.
_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2012 13:41:39 +0200

Hi Cédric,

I think the RFC2501 is more important than the WG charter, because the
charter MAY change but RFCs never changes (only can be updated,
obsoleted or replaced). So far now all MANET-protocols are refering to
RFC2501 which is good and SHOULD continue, and I like this referencing
to documents (even if they are old or expired) not referencing to
charters, because for example, if in a journal paper we reference to
the charter of MANET WG or ROLL WG the information is not solid like
if you reference a published document (publisher date), but still we
can reference the charter as web reference sited date.

I read some paper that reference sited web documents but they may be
not valid and cannot be read for some reason. Therefore, IMHO, we need
to stick to the following document to make a right decision in
definitions:

1) [RFC2501] for MANETs. (published in 1999)
2) [RFC5548], [RFC5673], [RFCRFC5826], and [RFC5867] for LLNs.
(published in 2009)

Low power was indicated in RFC2501 in section 5.1 as <possibly power
constraints> and also the word *sink*, in page 7 you read <sleep mode
for energy conservation>. IMHO, as long we have a ROLL WG in IETF we
need to forward work to it which has no mobility behavior. Delegation
will help make work flowing and more focused.

Regards
AB
=======

On 8/1/12, C Chauvenet <[email-masked]> wrote:
> My understanding is that both MANET and ROLL considers lossy/dynamic links
> in the way described in the MANET charter :  "static and dynamic topologies
> with increased dynamics due to node motion or other factors." I also agree
> that dynamicity of links is not hard wired to node mobility.
>
> I am about to say many LLNs are NOT MANETs but it seems like the market or
> community will decide the outcome, but surly that some LLNs are NOT MANETs.
>
> I not totally agree with that, because we need to be considering both NETs
> use case and applicability in the vision of the different WGs (MANET and
> ROLL). There are many examples we can find them in the [RFC2501] for MANETs
> characteristics and applicability, and for LLNs characteristics in
> [RFC5548], [RFC5673], [RFCRFC5826], and [RFC5867] including LLNs
> requirements. That is why I suggested before that
> OLSRv2 and AODVv2 should mention their applicability to LLN if they do. They
> just refer to RFC2501, but RFC2501 is OLD and does not mention LLN but
> describes the meaning. The authors of RFC2501 still not responded to my
> update suggestions.
>
> I understood from one discussion in MANET WG that few don't have time to
> read many pages of documents, so that is why I suggested to have terminology
> I-D [1] as we have ROLL terminology [ROLL] . I also taken initiative to make
> new draft of  MANET subnet technologies which include only related LLNs
> [AB2].
>
> manet-terminology draft [AB1] (propose that authors of [ROLL] define LLN
> more details) to assist discussions as it is proved now in the list that
> there still is problems in definitions in MANET WG or in some I-D editorial
> content.
>

---

From: C Chauvenet <[email-masked]>
Date: Wed, 1 Aug 2012 12:46:25 +0000

Hi, 

Thank you for your answer, 

See inline.

Le 1 août 2012 à 13:41, Abdussalam Baryun a écrit :

> obsoleted or replaced).

Good Point, 100% agree.

> So far now all MANET-protocols are refering to

I think they are good references to build some arguments into this discussion.

> will help make work flowing and more focused.

When you say "IMHO, as long we have a ROLL WG in IETF we need to forward work to it which has no mobility behavior", do you mean that the difference between ROLL and MANET is limited to mobility considerations ?

Based on the docs you mentioned, I see that RFC5548, RFC5826, and RFC5867 all include the usual IoT constraints : Memory, Processing, Power, Battery, Cost and Size of device.
RFC5673 does not mention explicitly processing and size constraints, but mention all the others.

RFC 2501 speak about energy and power, as you previously mentioned, but does not say something on the following constraints :  Memory, Processing, Cost and Size.

Do you think that these constraints are in the MANET scope ?
I guess that they may be (obviously for Cost), but not in the same order of magnitude as the type of devices described in the requirements RFC of ROLL.

Regards,

Cédric.

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2012 15:21:21 +0200

Hi Cédric,

Ok we can discuss efficiently when we read the documents (production
of such WG)as you agreed.

> When you say "IMHO, as long we have a ROLL WG in IETF we need to forward
> work to it which has no mobility behavior", do you mean that the difference
> between ROLL and MANET is limited to mobility considerations ?

*Mobility* It is the mostly difference clearly spoted between the
documents produced by the both WGs, also the name MANET starts with
Mobile, the word mobile is not equal to change/dynamic. So MANET
refers to mobile node or mobile network, which means location change
*NOT* topology change/dynamic. In the old days there was no ROLL WG so
MANET WG was doing the job.

>
> Based on the docs you mentioned, I see that RFC5548, RFC5826, and RFC5867
> all include the usual IoT constraints : Memory, Processing, Power, Battery,
> Cost and Size of device.

Ok,

> RFC 2501 speak about energy and power, as you previously mentioned, but does
> not say something on the following constraints :  Memory, Processing, Cost
> and Size.

Yes your right, but be careful RFC2501 does not exclude thoes
constraints either. However, if the MANET network has some nodes with
constraints but clearly mobility is the main constraint.

> I guess that they may be (obviously for Cost), but not in the same order of
> magnitude as the type of devices described in the requirements RFC of ROLL.

Really don't mind either way for MANET WG, and will think that the WG
community wants it in between In-Scope and Out-Scope, that may be
strange but seems that is what is happening as I read documents. Out
of IETF, MANET is mostly understood as mobile nodes connecting, not
LLNs.

Overall, IMHO, in the end it is the decision of the IETF community to
decide of any new idea or any I-D acceptance/adoption, but for the WG
it MAY take over a WORK as an IETF I-D, but it may not be successful
to convince the IETF community to continue the work or make it become
a RFC, we always have to see through to make the work efforts flow
successfully. We do not forget that many participants work in both
WGs.

Regards
Abdussalam
==========================================================
On 8/1/12, C Chauvenet <[email-masked]> wrote:
> When you say "IMHO, as long we have a ROLL WG in IETF we need to forward
> work to it which has no mobility behavior", do you mean that the difference
> between ROLL and MANET is limited to mobility considerations ?
>
> Based on the docs you mentioned, I see that RFC5548, RFC5826, and RFC5867
> all include the usual IoT constraints : Memory, Processing, Power, Battery,
> Cost and Size of device.
> RFC 2501 speak about energy and power, as you previously mentioned, but does
> not say something on the following constraints :  Memory, Processing, Cost
> and Size.
>
> I guess that they may be (obviously for Cost), but not in the same order of
> magnitude as the type of devices described in the requirements RFC of ROLL.
>
> Regards,
>
> Cédric.
>
>>
>> Regards
>> AB
>> =======
>>
>>> So, in the LLN Vs MANET debate, I think they share the "N" for Networks,
>>> and
>>> the 2nd "L" for Lossy.
>>> Low Power requirements is explicit in the ROLL charter and not mentioned
>>> at
>>> all in the MANET charter.
>>> Is the power efficiency consideration the big difference between ROLL
>>> and
>>> MANET ?
>>>
>>> Cédric.
>>>
>>> NETs

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 1 Aug 2012 15:26:27 +0000

The statement that MANETs refers only to networks with physical mobility is simply false. While the expansion of the acronym might suggest that, in fact MANET has become a term of art, and that art includes many networks with some or all nodes that are not physically moving.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 01 August 2012 14:21
To: C Chauvenet
Cc: manet
Subject: Re: [manet] Some LLNs are NOT MANETs

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

Hi Cédric,

Ok,

Regards
Abdussalam
_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Wed, 1 Aug 2012 16:22:33 +0000

Precisely, Chris. 

I've come to view MANETs more and more in the terms of an "opportunistic network". By that, I mean a network with a fairly large amount of dynamism, and also a network that contains heterogeneity of links (e.g., different radio types, and/or some wired portions). The challenge of these networks is to opportunistically (and maximally) use the resources available to it at any point in time. 

And at least for me (and I know this will draw some fire in return), another distinction in MANET as opposed to LLN is a greater requirement for peer-to-peer (node-to-node) communication, From what I've seen of LLN deployments (and I'm no expert), they tend to have more of a "multiple source/single sink" model for the data flow.

Again, just one opinion. 

Regards,
Stan

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2012 18:51:30 +0200

Hi Chris,

I will refer to your definition/understanding as "MANET-art". I may
agree with you only because it seams from the documents similar what
you mentioned (MANET becoming which I name it "vague" in concept), but
do you think that any MANET-art routing protocol can manage to solve
all MANET-art  scenarios? IMHO, it never will, I think that because of
this general art of dynamic many people in the IETF community are
working on some MANET-art scenarios (i.e ROLL, ITS, DTN). I prefer
that these participants all come together to work under the MANET-art,
but this is not happening, why is that? or even better that IETF
creates a sub-area for MANET-art and all these WGs work under same
sub-area, I am getting lost here :)

My concept is that MANET is a network of mostly mobile nodes
connecting, as the word specifies and as the IETF documents created
other words for such LLN, ROLL, which in old days in IETF we were
calling them MANET. However, reality will dominate visions, and the
community/new-generation may change alot of old concepts and old arts
to bring new arts (future new arts as LLN-art).

AB
====
On 8/1/12, Dearlove, Christopher (UK) <[email-masked]> wrote:
> The statement that MANETs refers only to networks with physical mobility is
> simply false. While the expansion of the acronym might suggest that, in fact
> MANET has become a term of art, and that art includes many networks with
> some or all nodes that are not physically moving.
>
> --
> Christopher Dearlove
>>>> to
>>>> LLN

---

From: Rex Buddenberg <[email-masked]>
Date: Wed, 1 Aug 2012 10:02:00 -0700

I think a topology differentiation is worthwhile ... hasn't appeared in
this thread.

Most of the 'mobility' discussion in the commercial world has had the
radio network at the fringe -- in a LAN role.  But the problems (my
instrumented ambulance example is good for this) that we need to grow
into are ones where the radio network is in a WAN position in the
internetwork -- it's a router-router problem, not a last-router-to-end
system one.

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Wed, 1 Aug 2012 17:45:02 +0000

Rex, 

Good point. I agree. 

Regards,
Stan

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 2 Aug 2012 09:12:47 +0000

I would subtly differently emphasise your point. (I think we are basically in agreement.) I would view ad hoc networks (I'm going to avoid the MANET term as it's overloaded here) as a broad area. LLNs are a specialist sub-area within that area. The MANET WG in principle covers the whole of the area, and most of its work has created protocols that can cover most of that area. However where there are specialised, and in particular more limited requirement, sub-areas, specialised protocols may make a better trade-off (typically be simpler). And you have emphasised one of the key differences, the differing traffic pattern, and in particular the dominant role of an egress (or ingress, but egress is often more important)  gateway rather than peer to peer communications (which in an LLN are typically either absent, or rare enough that the otherwise inefficient go via gateway, possibly optimised to clip off reused links, is acceptable).

(This bit may or may not be in agreement with Stan.) Note that I'm not saying that you can't use e.g. OLSRv2 in an LLN, but that if you have more limited/specialised requirements you may be able to do better. Nor am I saying RPL or LOADng is (or is not) that better solution, I've studied neither in enough detail to have a view.

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]] 
Sent: 01 August 2012 17:23
To: Dearlove, Christopher (UK)
Cc: Abdussalam Baryun; C Chauvenet; manet
Subject: Re: [manet] Some LLNs are NOT MANETs

Precisely, Chris. 

Again, just one opinion. 

Regards,
Stan

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Thu, 2 Aug 2012 15:54:02 +0000

Chris, 

> (This bit may or may not be in agreement with Stan.) Note that I'm not saying that you can't use e.g. OLSRv2 in an LLN, but that if you have more limited/specialised requirements you may be able to…

No, we agree… As a mentor of mine once said, "You can do anything you're big enough to try"… ;-) ;-) The definitions we're using (MANET and LLN) are somewhat vague, and somewhat overlapping. And any specific network's environment could well lead to multiple choices for a routing protocol. 

On another note, and more to the list at-large (instead of just replying to Chris), we can argue this for days, or even weeks. But the truth of the matter is that our charter references MANET networks, while the charter for ROLL references LLN's. It's pretty much just that simple. 

Regards,
Stan

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 2 Aug 2012 18:24:01 +0200

Hi Stan,

We don't argue because we like it, but because we want to solve
misunderstanding, if LOADng mentions LLNs without MANET, and some
started to argue in meetings about that. LOAD is a protocol for LLN
and MANET.

> On another note, and more to the list at-large (instead of just replying to
> Chris), we can argue this for days, or even weeks. But the truth of the
> matter is that our charter references MANET networks, while the charter for
> ROLL references LLN's. It's pretty much just that simple.

To be more simple the Routing Area Charters should have clear
definitions (so if MANET includes all LLNs so just mention that, if it
doesn't then it may not include all), on the other hand our I-Ds and
RFCs should specify applicability, no protocol can solve ALL problems
of MANET, that is why we have reactive and proactive, but still if you
read RFC3626, RFC3561, OLSRv2, AODVv2, they don't mention the
different where reactive or proactive is better nor do they specify
where their performance change is the large MANET scenarios. We have
to go out of IETF publications and read IEEE publication to understand
"Applicability", am I missing some thing,

I agree that the argument may take weeks, not because people like it,
but simply because RFC2501 is not updated to include LLNs and other
issues,

AB
====================
On 8/2/12, Stan Ratliff (sratliff) <[email-masked]> wrote:
>> I would subtly differently emphasise your point. (I think we are basically
>> in agreement.) I would view ad hoc networks (I'm going to avoid the MANET
>> term as it's overloaded here) as a broad area. LLNs are a specialist
>> sub-area within that area. The MANET WG in principle covers the whole of
>> the area, and most of its work has created protocols that can cover most
>> of that area. However where there are specialised, and in particular more
>> limited requirement, sub-areas, specialised protocols may make a better
>> trade-off (typically be simpler). And you have emphasised one of the key
>> differences, the differing traffic pattern, and in particular the dominant
>> role of an egress (or ingress, but egress is often more important)
>> gateway rather than peer to peer communications (which in an LLN are
>> typically either absent, or rare enough that the otherwise inefficient go
>> via gateway, possibly optimised to clip off reused links, is acceptable).
>>
>> (This bit may or may not be in agreement with Stan.) Note that I'm not
>> saying that you can't use e.g. OLSRv2 in an LLN, but that if you have more
>> limited/specialised requirements you may be able to do better. Nor am I
>> saying RPL or LOADng is (or is not) that better solution, I've studied
>> neither in enough detail to have a view.
>>
>
> No, we agree… As a mentor of mine once said, "You can do anything you're big
> enough to try"… ;-) ;-) The definitions we're using (MANET and LLN) are
> somewhat vague, and somewhat overlapping. And any specific network's
> environment could well lead to multiple choices for a routing protocol.
>
> On another note, and more to the list at-large (instead of just replying to
> Chris), we can argue this for days, or even weeks. But the truth of the
> matter is that our charter references MANET networks, while the charter for
> ROLL references LLN's. It's pretty much just that simple.
>
> Regards,
> Stan
>
>
>> --
>> Christopher Dearlove
>> I've come to view MANETs more and more in the terms of an "opportunistic
>> network". By that, I mean a network with a fairly large amount of
>> dynamism, and also a network that contains heterogeneity of links (e.g.,
>> different radio types, and/or some wired portions). The challenge of these
>> networks is to opportunistically (and maximally) use the resources
>> available to it at any point in time.
>>
>> And at least for me (and I know this will draw some fire in return),
>> another distinction in MANET as opposed to LLN is a greater requirement
>> for peer-to-peer (node-to-node) communication, From what I've seen of LLN
>> deployments (and I'm no expert), they tend to have more of a "multiple
>> source/single sink" model for the data flow.
>>
>> Again, just one opinion.
>>
>> Regards,
>> Stan
>>
>>> The statement that MANETs refers only to networks with physical mobility
>>> is simply false. While the expansion of the acronym might suggest that,
>>> in fact MANET has become a term of art, and that art includes many
>>> networks with some or all nodes that are not physically moving.
>>>
>>> --
>>> Christopher Dearlove
>>>> RFC5673 does not mention explicitly processing and size constraints,
>>>> but
>>>> mention all the others.
>>>>
>>>
>>> Ok,
>>>
>>>> RFC5673 does not mention explicitly processing and size constraints,
>>>> but
>>>> mention all the others.
>>>>
>>>>>> De : [email-masked] [mailto:[email-masked]] De la part
>>>>>> de
>>>>>> Abdussalam Baryun
>>>>>> market
>>>>>> or
>>>>>> do.
>>>>>> They
>>>>>> I-D [1] as we have ROLL terminology [ROLL] . I also taken initiative
>>>>>> to
>>>>>> make

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 2 Aug 2012 16:29:22 +0000

Taking your last point on what charters say, I would interpret that as:
- A solution just intended for LLNs, or which that is the dominant case for, belongs to ROLL (unless they don't want it).
- A wide ranging solution (which could include LLNs as a special case) belongs in MANET.
- A specialist solution that is not an LLN specialist solution is permissible in MANET, though a specialised WG could be created for it.

But all subject to the overriding condition there has to be a reason to do it, not just a protocol with no user base looking for a home. And of course I'm just talking about ad hoc routing protocols (by which I mean, roughly speaking, decentralised multi-hop routing in dynamic or otherwise unknown characteristic networks) or closely related things here.

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]] 
Sent: 02 August 2012 16:54
To: Dearlove, Christopher (UK)
Cc: Abdussalam Baryun; C Chauvenet; manet
Subject: Re: [manet] Some LLNs are NOT MANETs

Chris, 

> (This bit may or may not be in agreement with Stan.) Note that I'm not saying that you can't use e.g. OLSRv2 in an LLN, but that if you have more limited/specialised requirements you may be able to…

No, we agree. As a mentor of mine once said, "You can do anything you're big enough to try". ;-) ;-) The definitions we're using (MANET and LLN) are somewhat vague, and somewhat overlapping. And any specific network's environment could well lead to multiple choices for a routing protocol. 

Regards,
Stan

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 2 Aug 2012 16:41:08 +0000

I'm just going to comment that the authors of the OLSRv2-related set of specifications would love to have the time (and funding) to sit down and write various pieces of rationale for why things are as they are, and how to use them, including some less obvious options that are there but may not be obvious. Given that absence, the best that's possible is that things come out in pieces. There's the narrowly focussed metrics rationale. There's a paper I wrote for a NATO conference on what's new in OLSRv2 and why, and I'm sure Thomas and Ulrich (and some others) can point to various papers (and a thesis) they have written that may also provide pieces. Give us a (paid) year off each and we could even write a book.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 02 August 2012 17:24
To: Stan Ratliff (sratliff)
Cc: manet
Subject: Re: [manet] Some LLNs are NOT MANETs

Hi Stan,

AB
====================
On 8/2/12, Stan Ratliff (sratliff) <[email-masked]> wrote:
> No, we agree. As a mentor of mine once said, "You can do anything you're big
> enough to try". ;-) ;-) The definitions we're using (MANET and LLN) are

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 02 Aug 2012 09:41:29 -0700

Hello folks,

I was going to write with my opinion, but then I found
that Chris had already stated my opinion.

+1

Regards,
Charlie P.

-- 
Regards,
Charlie P.

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 2 Aug 2012 09:43:46 -0700

Please wait until the next revision of LOADng. We will update the introduction. Stay tuned!

Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 2 Aug 2012 16:49:30 +0000

I completely agree with Stan's conclusions, ROLL co chair hat on, charters are quite clear.

JP Vasseur
Cisco Fellow

Sent from my iPhone

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 2 Aug 2012 17:05:57 +0000

Looking forward to the next revision of Dymo or Load with a clear statement of the use case and applicability thus avoiding confusion and so as to be by sync with Roll and Manet's charters according to IESG's guidance 

JP Vasseur
Cisco Fellow

Sent from my iPhone

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 2 Aug 2012 17:11:29 +0000

Looking forward to the next revision of Dymo or Load with a clear statement on the use cases and applicability according to Manet and Roll charters and guidance of the iesg

JP Vasseur
Cisco Fellow

Sent from my iPhone

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Thu, 2 Aug 2012 17:40:42 +0000

Chris, 

As you did earlier, I'd slightly, subtly re-empasise what you said: 
A solution just intended for LLN's, or which that is the dominant case for, belongs in ROLL (no "unless" clause).

Regards,
Stan

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 3 Aug 2012 15:54:16 +0100

+1

I support the manet wg charter mentions some/all points as below,

Taking your last point on what charters say, I would interpret that as:
- A solution just intended for LLNs, or which that is the dominant
case for, belongs to ROLL (unless they don't want it).
- A wide ranging solution (which could include LLNs as a special case)
belongs in MANET.
- A specialist solution that is not an LLN specialist solution is
permissible in MANET, though a specialised WG could be created for it.

But all subject to the overriding condition there has to be a reason
to do it, not just a protocol with no user base looking for a home.
And of course I'm just talking about ad hoc routing protocols (by
which I mean, roughly speaking, decentralised multi-hop routing in
dynamic or otherwise unknown characteristic networks) or closely
related things here.